All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.taglib.servlet.tbeans.tableview
Class TableViewTag

    com.sas.taglib.servlet.tbeans.tableview.TableViewTag

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag, javax.servlet.jsp.tagext.TryCatchFinally

    public class TableViewTag

TableViewTag is the tag handler class for the sas:TableView custom tag . TableViewTag is invoked by the JSP page to evaluate the sas:TableView custom tag during the execution of the page. Tag handler methods are called by the JSP page implementation class at various points during the evaluation of the tag. The tag handler methods in turn call methods on the underlying Transformation Bean object, TableView, to execute the methods.

If you need to extend or modify the functionality of the sas:TableView custom tag, you can subclass this tag handler class.

For More Information:

Visit the AppDev Studio Developer's Site to access step-by-step examples, white papers and additional usage information at http://support.sas.com/rnd/appdev/.

Refer to the Custom Tag Library Reference for usage information on the sas:TableView custom tag.

Note: A snapshot of the AppDev Studio Developers Site is installed on your local Web server when you install AppDev Studio. To access the site from webAF, select Help -> Developer Site.

See Also:
  `TableView`, Serialized Form

Field Summary

Fields inherited from class com.sas.taglib.BaseBodyTag
`DELIMITERS, RB_KEY`

Constructor Summary
`TableViewTag()`

Method Summary
`protected void` | `applyAttributes()` Apply TableView properties to the underlying com.sas.servlet.tbeans.tableview.html.TableView object
`protected void` | `applyModel(TableView table)`
`int` | `doEndTag()` This method processes the end tag for this instance.
`int` | `doStartTag()` Processes the start tag for this instance.
`com.sas.servlet.tbeans.tableview.ColumnHeaderAreaRenderer` | `getColumnHeaderAreaRendererObject()` Returns the name of the renderer class used to render the entire area above the columns.
`java.lang.String` | `getModel()` Returns the model property of the TableViewTag.
`java.lang.String` | `getURLTemplate()` Returns the Viewer's URLTemplate String name
`protected void` | `initialize(boolean includeAttributes)` Initializes attributes and variables for this tag handler.
`boolean` | `isAutoCreateColumnsFromModel()` Returns the autoCreateColumnsFromModel property of the TableViewTag.
`boolean` | `isLockColumnHeaders()` Returns the lockColumnHeaders property of the TableViewTag.
`void` | `setAutoCreateColumnsFromModel(boolean autoCreateColumnsFromModel)` Used to set the autoCreateColumnsFromModel property.
`void` | `setColumnHeaderAreaRendererObject(com.sas.servlet.tbeans.tableview.ColumnHeaderAreaRenderer columnHeaderAreaRenderer)` Sets the name of the renderer class used to render the entire area above the columns.
`void` | `setLockColumnHeaders(boolean lockColumnHeaders)` Sets the lockColumnHeaders property of the TableViewTag.
`void` | `setModel(java.lang.String model)` Sets the model property of the TableViewTag.
`void` | `setURLTemplate(java.lang.String urlTemplate)` Sets the Viewer's URLTemplate

Methods inherited from class com.sas.taglib.servlet.tbeans.tableview.AbstractBaseTableViewTag
`getBorderWidth, getCaption, getCellPadding, getCellSpacing, getColumnPageSize, getHorizontalAlignment, getRowPageSize, getStyleClassPrefix, getSummary, getWidth, getWidthPercentage, isColumnHeaderVisible, isFormEnabled, isRowHeaderVisible, setBorderWidth, setCaption, setCellPadding, setCellSpacing, setColumnHeaderVisible, setColumnPageSize, setFormEnabled, setHorizontalAlignment, setRowHeaderVisible, setRowPageSize, setStyleClassPrefix, setSummary, setWidth, setWidthPercentage`

Methods inherited from class com.sas.taglib.servlet.tbeans.BaseActionTransformationBodyTag
`getActionProvider, setActionProvider`

Methods inherited from class com.sas.taglib.servlet.tbeans.BaseTransformationBodyTag
`getCustomAttributes, getEpilog, getLocale, getName, getObjectDataProperty, getProlog, getRender, getRenderType, setCustomAttributes, setEpilog, setLocale, setName, setObjectDataProperty, setProlog, setRender, setRenderType`

Methods inherited from class com.sas.taglib.BaseBodyTag
`doCatch, doFinally, getApplyAttributes, getBodyStrings, getCompositeComponentKey, getInstantiate, getPageContext, getRef, getScope, getTagScope, getWrappedClassName, getWrappedObject, getWrappedObject, loadBeanInstance, newInstance, release, removeFromScope, searchContext, setApplyAttributes, setCompositeComponentKey, setInstantiate, setRef, setScope, setTagScope, setVariableWithinScope, setWrappedClassName, setWrappedObject, validate`

Constructor Detail

### TableViewTag

    public TableViewTag()

Method Detail

### initialize

    protected void initialize(boolean includeAttributes)

  Initializes attributes and variables for this tag handler.

  Overrides:
    `initialize` in class `AbstractBaseTableViewTag`
  Parameters:
    `includeAttributes` - Set to true if attributes are to be set to default values.

### setLockColumnHeaders

    public void setLockColumnHeaders(boolean lockColumnHeaders)

  Sets the lockColumnHeaders property of the TableViewTag.

  Parameters:
    `lockColumnHeaders` - True if column headers are to be locked.

### isLockColumnHeaders

    public boolean isLockColumnHeaders()

  Returns the lockColumnHeaders property of the TableViewTag.

  Returns:
    the lockColumnHeaders of the TableView

### setURLTemplate

    public void setURLTemplate(java.lang.String urlTemplate)

  Sets the Viewer's URLTemplate

  Parameters:
    `URLTemplate` - The Viewer's URLTemplate. This is the template pattern String used in the URL.

### getURLTemplate

    public java.lang.String getURLTemplate()

  Returns the Viewer's URLTemplate String name

  Returns:
    the Viewer's URLTemplate String name. This is the template pattern String used in the URL.

### setAutoCreateColumnsFromModel

    public void setAutoCreateColumnsFromModel(boolean autoCreateColumnsFromModel)

  Used to set the autoCreateColumnsFromModel property. If true, then the column model for the TableView is automatically generated everytime the model is set on the TableView.

  Parameters:
    `autoCreateColumnsFromModel` - If true, then the ColumnModel for the TableView is automatically generated everytime the model is set on the TableView.
  See Also:
    `isAutoCreateColumnsFromModel()`

### isAutoCreateColumnsFromModel

    public boolean isAutoCreateColumnsFromModel()

  Returns the autoCreateColumnsFromModel property of the TableViewTag.

  Returns:
    the boolean that represents the autoCreateColumnsFromModel property
  See Also:
    `setAutoCreateColumnsFromModel(boolean)`

### setModel

    public void setModel(java.lang.String model)

  Sets the model property of the TableViewTag.

  Parameters:
    `model` - The data model of the TableView. It must implement the javax.swing.table.TableModel interface.
  See Also:
    `getModel()`

### getModel

    public java.lang.String getModel()

  Returns the model property of the TableViewTag.

  Returns:
    the String that represents the javax.swing.table.TableModel for the model property
  See Also:
    `setModel(java.lang.String)`

### setColumnHeaderAreaRendererObject

    public void setColumnHeaderAreaRendererObject(com.sas.servlet.tbeans.tableview.ColumnHeaderAreaRenderer columnHeaderAreaRenderer)

  Sets the name of the renderer class used to render the entire area above the columns.

  Parameters:
    `columnHeaderAreaRendererObject` - If set, the renderer class is instantiated and used to write out the entire column header cell area.
  See Also:
    `#getColumnHeaderAreaRendererClass`

### getColumnHeaderAreaRendererObject

    public com.sas.servlet.tbeans.tableview.ColumnHeaderAreaRenderer getColumnHeaderAreaRendererObject()

  Returns the name of the renderer class used to render the entire area above the columns.

  See Also:
    `#setColumnHeaderAreaRendererClass`

### applyAttributes

    protected void applyAttributes()
                            throws javax.servlet.jsp.JspException

  Apply TableView properties to the underlying com.sas.servlet.tbeans.tableview.html.TableView object

  Overrides:
    `applyAttributes` in class `AbstractBaseTableViewTag`
  Throws:
    `javax.servlet.jsp.JspException` - Thrown if a JspException occurs.

### applyModel

    protected void applyModel(TableView table)
                       throws java.lang.IllegalArgumentException

  Throws:
    `java.lang.IllegalArgumentException`

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Processes the start tag for this instance. The doStartTag() method assumes that all setter methods have been invoked before. When this method is invoked, the body has not yet been invoked.

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `BaseTransformationBodyTag`
  Returns:
    int designating the next course of action for the tag/jsp page.
  Throws:
    `javax.servlet.jsp.JspException` - Thrown if a JspException occurs.
  See Also:
    `BaseBodyTag.setInstantiate(boolean)`, `TagSupport.doStartTag()`

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  This method processes the end tag for this instance. The doEndTag() method will render the underlying tbean unless it has a parent.

  Specified by:
    `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doEndTag` in class `BaseTransformationBodyTag`
  Returns:
    int designating the next course of action for the tag/jsp page.
  Throws:
    `javax.servlet.jsp.JspException` - Thrown if a JspException occurs.
  See Also:
    `TagSupport.doEndTag()`, `BaseBodyTag.setInstantiate(boolean)`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.